#include <forms.h>
#include "status_bar_gui.h"

FD_status_bar_gui * dialog_;

static void timeout_cb(int, void *);
FL_FORM * form() { return dialog_->status_bar_gui; }

int main(int argc, char *argv[])
{
	int timeout_id = -1;
	fl_initialize(&argc, argv, 0, 0, 0);
	dialog_ = create_form_status_bar_gui();

	fl_add_timeout(1000, timeout_cb, 0);

	fl_show_form(form(), FL_PLACE_MOUSE, 0, "status bar test");

	fl_do_forms();

	return 0;
}

static void timeout_cb(int dummy, void * data)
{
	static int counter = 0;
	/* callback is emitted once a second. */
	int const delta = 1;
	char str[50];

	/* Poll your process. Here I just print out the time */
	sprintf(str, "%d", delta * counter++);
	fl_set_object_label(dialog_->status_bar, str);

	/* restart the timer */
	fl_add_timeout(1000, timeout_cb, 0);
}
